%define oname vicious

Name:       awesome-plugin-%{oname}
Version:    2.0.2
Release:    %mkrel 1
Summary:    A modular widget library for the "awesome" window manager
License:    GPLv2
Group:      Graphical desktop/Other
URL:        http://git.sysphere.org/vicious
Source0:    http://git.sysphere.org/vicious/snapshot/%{oname}-%{version}.tar.gz
Patch0:     %{oname}-2.0.0-Makefile.patch
Requires:   awesome >= 3.4.4
BuildArch:  noarch

%description
Vicious is a modular widget library for the "awesome" window manager,
derived from the 'Wicked' widget library. It has some of the old
Wicked widget types, a few of them rewritten, and a good number of
new ones.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1


%install
rm -rf %{buildroot}
export datadir=%{_datadir}

make libdir=%{_datadir}/awesome/lib/ DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{_datadir}/awesome/lib/%{oname}/*.lua
%{_datadir}/awesome/lib/%{oname}/widgets/*


%changelog
* Sun Mar 20 2011 shikamaru <shikamaru> 2.0.2-1.mga1
+ Revision: 74871
- imported package awesome-plugin-vicious

